# ASM API Quick Reference Guide

## ASM API Quick Reference Guide <a href="#asmapiquickreferenceguide" id="asmapiquickreferenceguide"></a>

### Introduction <a href="#introduction" id="introduction"></a>

This guide provides useful documentation on testing API connectivity and basic transactions for the ASM RESTful API. It is designed to assist both new users and seasoned professionals.

#### Jargon Buster <a href="#jargonbuster" id="jargonbuster"></a>

* **API**: Application Programming Interface - a set of predefined functions and procedures that allow a third party to manipulate data.
* **Alemba API-Explorer**: A website that pulls information from the Alemba API and informs users of the available functions and variables.
* **Postman**: An open-source API programming interface useful for testing connectivity and settings for the API.
* **Hook**: A bit of code on the client side that triggers communication to the Alemba API.
* **ClientId**: The unique identifier for a user of the API.
* **Token**: A one-time generated password that allows users to carry out transactions.
* **JSON**: A data interchange format that standardizes the way information is organized, sent, and received.

### Best Practices <a href="#bestpractices" id="bestpractices"></a>

* API actions that lock records for editing must be followed by an API Unlock command.
* Actions that do not lock a call and can be used without concern include adding notes/history and uploading attachments.
* Always use a Call Forward command to forward the call back to the appropriate analyst or group after an update.
* The analyst account used for API updates should be a named user and not used for other processes.
* The analyst account password should never expire or be updated.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alemba.com/asm/asm-hermes/integrate/apis/asm-api-quick-reference-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
